Account
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /auth/client-config | getAuthClientConfig | public | Send |
GET /auth/user | getAuthUser | bearer | Send |
GET /codex-subscription | get__codex_subscription | bearer | |
POST /codex-subscription/start | post__codex_subscription_start | bearer | |
POST /codex-subscription/poll | post__codex_subscription_poll | bearer | |
DELETE /codex-subscription | delete__codex_subscription | bearer | |
GET /account/billing-costs | get__account_billing_costs | bearer | |
GET /account/preferences | get__account_preferences | bearer | |
PATCH /account/display-currency | patch__account_display_currency | bearer |
Chat
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /chats | get__chats | bearer | |
GET /chat/{id} | get__chat_id_ | bearer | |
GET /chat-runtime/chats/{chatId}/workspace | listChatWorkspaceDirectory | bearer | |
GET /chat-runtime/chats/{chatId}/downloads/workspace/{relativePath} | downloadChatWorkspaceFile | bearer | |
GET /chat/{id}/events | get__chat_id_events | bearer | |
GET /chat/{id}/sync | get__chat_id_sync | bearer | |
GET /dataframes/{chatId}/{dfName} | get__dataframes_chatId_dfName_ | bearer | |
POST /chat-shares | post__chat_shares | bearer | |
GET /chat-shares/public/{slug} | get__chat_shares_public_slug_ | public | |
GET /chat-shares/public/{slug}/runtime-token | get__chat_shares_public_slug_runtime_token | public | |
GET /chat-shares/public/{slug}/dataframes/{dfId} | get__chat_shares_public_slug_dataframes_dfId_ | public | |
GET /chat-shares/public/{slug}/plots/{plotId} | get__chat_shares_public_slug_plots_plotId_ | public | |
DELETE /chat-runtime/chats/{chatId} | chat_delete | bearer |
Portfolios
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /portfolios | get__portfolios | bearer | |
POST /portfolios | post__portfolios | bearer | |
GET /portfolios/{id} | get__portfolios_id_ | bearer | |
PUT /portfolios/{id}/benchmark | put__portfolios_id_benchmark | bearer | |
DELETE /portfolios/{id} | delete__portfolios_id_ | bearer | |
GET /portfolios/{id}/performance | get__portfolios_id_performance | bearer | |
GET /portfolios/{id}/holdings/history | get__portfolios_id_holdings_history | bearer | |
GET /portfolios/{id}/trades | get__portfolios_id_trades | bearer | |
GET /portfolios/{id}/decisions | get__portfolios_id_decisions | bearer | |
GET /portfolios/approvals/pending | get__portfolios_approvals_pending | bearer | |
GET /portfolios/{id}/pending-trades | get__portfolios_id_pending_trades | bearer | |
DELETE /portfolios/{id}/pending-trades | delete__portfolios_id_pending_trades | bearer | |
POST /portfolios/{id}/sync-live-state | post__portfolios_id_sync_live_state | bearer | |
POST /portfolios/{id}/pending-trades/approve | post__portfolios_id_pending_trades_approve | bearer | |
GET /portfolios/{id}/broker-status | get__portfolios_id_broker_status | bearer | |
POST /portfolios/import/validate | post__portfolios_import_validate | bearer | |
POST /portfolios/import | post__portfolios_import | bearer | |
POST /portfolios/{id}/liquidate | post__portfolios_id_liquidate | bearer | |
GET /transition/{taskId} | get__transition_taskId_ | bearer | |
PATCH /portfolios/{id}/auto-execute | patch__portfolios_id_auto_execute | bearer | |
POST /portfolios/{id}/reconcile | post__portfolios_id_reconcile | bearer | |
POST /portfolios/{id}/go-paper | post__portfolios_id_go_paper | bearer | |
GET /portfolios/{id}/trades/{tradeId}/attempts | get__portfolios_id_trades_tradeId_attempts | bearer |
Strategies
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
PUT /portfolios/{id}/link | put__portfolios_id_link | bearer | |
DELETE /portfolios/{id}/link | delete__portfolios_id_link | bearer | |
GET /strategies/public | get__strategies_public | public | |
GET /strategies | get__strategies | bearer | |
POST /strategies | post__strategies | bearer | |
GET /strategies/eligible | get__strategies_eligible | bearer | |
GET /strategies/{id} | get__strategies_id_ | bearer | |
PUT /strategies/{id} | put__strategies_id_ | bearer | |
POST /strategies/live | post__strategies_live | bearer | |
POST /strategies/{id}/control | post__strategies_id_control | bearer | |
POST /strategies/{id}/execute | post__strategies_id_execute | bearer | |
GET /strategies/{id}/active-execution | get__strategies_id_active_execution | bearer | |
GET /strategies/{id}/stream/{executionId} | get__strategies_id_stream_executionId_ | bearer | |
GET /strategies/{id}/executions/{executionId}/events | get__strategies_id_executions_executionId_events | bearer | |
GET /strategies/{id}/decisions/{decisionId}/events | get__strategies_id_decisions_decisionId_events | bearer | |
GET /strategies/{id}/executions | get__strategies_id_executions | bearer | |
GET /paper-trading/summaries | get__paper_trading_summaries | bearer | |
GET /paper-trading/{strategyId}/status | get__paper_trading_strategyId_status | bearer | |
GET /paper-trading/{strategyId}/trades | get__paper_trading_strategyId_trades | bearer | |
GET /paper-trading/{strategyId}/decisions | get__paper_trading_strategyId_decisions | bearer | |
GET /paper-trading/{strategyId}/approvals | get__paper_trading_strategyId_approvals | bearer | |
GET /paper-trading/{strategyId}/pending-trades | get__paper_trading_strategyId_pending_trades | bearer |
Sharing and data
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
POST /artifacts | post__artifacts | bearer | |
GET /artifacts/public/{slug} | get__artifacts_public_slug_ | public | |
GET /artifacts/public/{slug}/dataframes/{dfId} | get__artifacts_public_slug_dataframes_dfId_ | public | |
DELETE /artifacts/{slug} | delete__artifacts_slug_ | bearer |
Market data
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /symbols/resolve | getSymbolsResolve | bearer | Send |
POST /symbols/resolve/batch | post__symbols_resolve_batch | bearer | |
GET /symbols/search | getSymbolsSearch | bearer | Send |
POST /symbols/quotes | post__symbols_quotes | bearer | |
GET /symbols/baseline | get__symbols_baseline | bearer | |
GET /symbols/analytics | get__symbols_analytics | bearer | |
GET /symbols/exchanges | getSymbolsExchanges | bearer | Send |
GET /symbols/cache-status | get__symbols_cache_status | bearer | |
POST /factor-risk/covariance | post__factor_risk_covariance | bearer | |
GET /news | get__news | bearer | |
GET /benchmarks | get__benchmarks | bearer | |
GET /fx-rates | get__fx_rates | public | |
GET /leaderboard | get__leaderboard | bearer | |
GET /fx-rate | get__fx_rate | public |
Billing
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /pricing/config | get__pricing_config | public | |
POST /pricing/get-plans | post__pricing_get_plans | bearer | |
POST /pricing/get-subscription | post__pricing_get_subscription | bearer | |
POST /pricing/update-subscription | post__pricing_update_subscription | bearer | |
POST /pricing/billing-portal | post__pricing_billing_portal | bearer | |
GET /pricing/payment-methods | get__pricing_payment_methods | bearer | |
POST /pricing/payment-methods/setup-intent | post__pricing_payment_methods_setup_intent | bearer | |
DELETE /pricing/payment-methods/{paymentMethodId} | delete__pricing_payment_methods_paymentMethodId_ | bearer | |
POST /pricing/payment-methods/default | post__pricing_payment_methods_default | bearer | |
GET /pricing/invoices | get__pricing_invoices | bearer | |
GET /pricing/customer-balance | get__pricing_customer_balance | bearer | |
GET /pricing/billing-summary | get__pricing_billing_summary | bearer | |
POST /pricing/refund-balance | post__pricing_refund_balance | bearer | |
POST /pricing/preview-upgrade | post__pricing_preview_upgrade | bearer | |
POST /pricing/confirm-payment | post__pricing_confirm_payment | bearer | |
POST /pricing/spending-cap | post__pricing_spending_cap | bearer | |
GET /pricing/credit-tiers | get__pricing_credit_tiers | bearer | |
GET /pricing/catalog | get__pricing_catalog | public | |
GET /pricing/model-access | get__pricing_model_access | bearer |
Monitors
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
POST /watchlists | post__watchlists | bearer | |
GET /watchlists | get__watchlists | bearer | |
GET /watchlists/{id} | get__watchlists_id_ | bearer | |
PUT /watchlists/{id} | put__watchlists_id_ | bearer | |
DELETE /watchlists/{id} | delete__watchlists_id_ | bearer | |
POST /watchlists/{id}/fork | post__watchlists_id_fork | bearer | |
POST /watchlists/{id}/control | post__watchlists_id_control | bearer | |
GET /watchlists/{id}/analytics/latest | get__watchlists_id_analytics_latest | bearer | |
GET /watchlists/{id}/quotes | get__watchlists_id_quotes | bearer | |
GET /watchlists/{id}/reports | get__watchlists_id_reports | bearer | |
GET /watchlists/{id}/active-execution | get__watchlists_id_active_execution | bearer | |
GET /watchlists/{id}/executions/{executionId}/results | get__watchlists_id_executions_executionId_results | bearer | |
GET /watchlists/{id}/reports/latest | get__watchlists_id_reports_latest | bearer | |
POST /watchlists/{id}/reports/run | post__watchlists_id_reports_run | bearer | |
GET /watchlists/{id}/reports/{reportId} | get__watchlists_id_reports_reportId_ | bearer | |
GET /watchlists/{id}/news | getMonitorNews | bearer | |
POST /watchlists/{id}/news/fetch | fetchMonitorNews | bearer |
Notifications
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /notifications/preferences | get__notifications_preferences | bearer | |
PUT /notifications/preferences | put__notifications_preferences | bearer | |
POST /notifications/unsubscribe | post__notifications_unsubscribe | bearer | |
GET /notifications/logs | get__notifications_logs | bearer |
Brokers
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /brokers/connections | get__brokers_connections | bearer | |
POST /brokers/connect | post__brokers_connect | bearer | |
GET /brokers/{connectionId}/status | get__brokers_connectionId_status | bearer | |
POST /brokers/{connectionId}/reconnect | post__brokers_connectionId_reconnect | bearer | |
POST /brokers/trading212/connect-manual | post__brokers_trading212_connect_manual | bearer | |
POST /brokers/{connectionId}/trading212/reconnect | post__brokers_connectionId_trading212_reconnect | bearer | |
POST /brokers/{connectionId}/trading212/reconnect-stored | post__brokers_connectionId_trading212_reconnect_stored | bearer | |
GET /brokers/{connectionId}/holdings | get__brokers_connectionId_holdings | bearer | |
GET /brokers/{connectionId}/margins | get__brokers_connectionId_margins | bearer | |
DELETE /brokers/{connectionId} | delete__brokers_connectionId_ | bearer |
GitHub
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /integrations/github/availability | githubAvailability | bearer | |
POST /integrations/github/getConnection | github_getConnection | bearer | |
POST /integrations/github/connect | github_connect | bearer | |
POST /integrations/github/disconnect | github_disconnect | bearer | |
POST /integrations/github/listRepositories | github_listRepositories | bearer |
Connected MCP servers
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
GET /integrations/remote-mcp/availability | remoteMcpAvailability | bearer | |
POST /integrations/remote-mcp/list | remoteMcp_list | bearer | |
POST /integrations/remote-mcp/add | remoteMcp_add | bearer | |
POST /integrations/remote-mcp/rename | remoteMcp_rename | bearer | |
POST /integrations/remote-mcp/connect | remoteMcp_connect | bearer | |
POST /integrations/remote-mcp/getStatus | remoteMcp_getStatus | bearer | |
POST /integrations/remote-mcp/listTools | remoteMcp_listTools | bearer | |
POST /integrations/remote-mcp/disconnect | remoteMcp_disconnect | bearer | |
POST /integrations/remote-mcp/remove | remoteMcp_remove | bearer |
Risk runs
| Operation | Operation ID | Authentication | Try it |
|---|---|---|---|
POST /risk/runs | startRiskRun | bearer | |
GET /risk/runs/{run_id} | getRiskRun | bearer | |
GET /risk/runs/{run_id}/artifact | getRiskRunArtifact | bearer | |
POST /risk/runs/{run_id}/cancel | cancelRiskRun | bearer | |
POST /risk/measure | startRiskMeasure | bearer | |
GET /risk/measure/{measure_id} | getRiskMeasure | bearer | |
POST /risk/measure/{measure_id}/cancel | cancelRiskMeasure | bearer |